clang 8.0.0

Public Member Functions | Public Attributes | List of all members
clang::CodeGen::OrderGlobalInits Struct Reference

`#include "/work/www-prereleases/8.0.0/rc2/builddocs/llvm.src/tools/clang/lib/CodeGen/CodeGenModule.h"`

Collaboration diagram for clang::CodeGen::OrderGlobalInits:
[legend]

## Public Member Functions
| OrderGlobalInits (unsigned int p, unsigned int l)
bool | operator== (const OrderGlobalInits &RHS) const
bool | operator< (const OrderGlobalInits &RHS) const

## Public Attributes
unsigned int | priority
unsigned int | lex_order

## Detailed Description

Definition at line 103 of file CodeGenModule.h.

## Constructor & Destructor Documentation

## ◆ OrderGlobalInits()

clang::CodeGen::OrderGlobalInits::OrderGlobalInits | ( | unsigned int | p,
|  | unsigned int | l
| ) |  |
| inline

Definition at line 106 of file CodeGenModule.h.

## Member Function Documentation

## ◆ operator<()

bool clang::CodeGen::OrderGlobalInits::operator< | ( | const OrderGlobalInits & | RHS | ) | const
| inline

Definition at line 113 of file CodeGenModule.h.

References lex_order, and priority.

## ◆ operator==()

bool clang::CodeGen::OrderGlobalInits::operator== | ( | const OrderGlobalInits & | RHS | ) | const
| inline

Definition at line 109 of file CodeGenModule.h.

References lex_order, and priority.

## Member Data Documentation

## ◆ lex_order

unsigned int clang::CodeGen::OrderGlobalInits::lex_order

Definition at line 105 of file CodeGenModule.h.

Referenced by operator<(), and operator==().

## ◆ priority

unsigned int clang::CodeGen::OrderGlobalInits::priority

Definition at line 104 of file CodeGenModule.h.

Referenced by operator<(), and operator==().

The documentation for this struct was generated from the following file:

- lib/CodeGen/CodeGenModule.h